<?php
/**
 * =============================================================
 * @package		RAXO List Module Layout
 * -------------------------------------------------------------
 * @copyright	Copyright (C) 2009-2019 RAXO Group
 * @link		https://www.raxo.org
 * @license		GNU General Public License v2.0
 * 				http://www.gnu.org/licenses/gpl-2.0.html
 * =============================================================
 */


// no direct access
defined('_JEXEC') or die;

// add layout CSS
JHtml::stylesheet('modules/mod_raxo_allmode/tmpl/allmode-list/allmode-list.css');
?>


<?php if ($toplist || $list) { ?>
<div class="allmode-items">

	<?php
	// Layout - TOP Items output
	foreach ($toplist as $item) { ?>
	<article class="allmode-topitem<?php
		if ($item->category_id) echo " allmode-category-id". $item->category_id;
		if ($item->featured) echo " allmode-featured";
	?>">

		<?php if ($item->image) { ?>
		<div class="allmode-img"><?php echo $item->image; ?></div>
		<?php } ?>

		<?php if ($item->date || $item->category || $item->author || $item->hits || $item->comments_count || $item->rating_value) { ?>
		<div class="allmode-info">

			<?php if ($item->date) { ?>
			<span class="allmode-date"><?php echo $item->date; ?></span>
			<?php } ?>

			<?php if ($item->category) { ?>
			<span class="allmode-category"><?php echo $item->category; ?></span>
			<?php } ?>

			<?php if ($item->author) { ?>
			<span class="allmode-author"><?php echo $item->author; ?></span>
			<?php } ?>

			<?php if ($item->hits) { ?>
			<span class="allmode-hits"><?php echo $item->hits; ?></span>
			<?php } ?>

			<?php if ($item->comments_count) { ?>
			<span class="allmode-comments"><?php echo $item->comments_count; ?></span>
			<?php } ?>

			<?php if ($item->rating_value) { ?>
			<span class="allmode-rating"><?php echo $item->rating_value; ?></span>
			<?php } ?>

		</div>
		<?php } ?>

		<?php if ($item->title) { ?>
		<h3 class="allmode-title"><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></h3>
		<?php } ?>

		<?php if ($item->text) { ?>
		<div class="allmode-text"><?php echo $item->text; ?></div>
		<?php } ?>

		<a href="<?php echo $item->link; ?>" class="allmode-readmore"></a>

	</article>
	<?php } ?>


	<?php
	// Layout - Items output
	foreach ($list as $item) { ?>
	<article class="allmode-item<?php
		if ($item->category_id) echo " allmode-category-id". $item->category_id;
		if ($item->featured) echo " allmode-featured";
	?>">

		<?php if ($item->image) { ?>
		<div class="allmode-img"><?php echo $item->image; ?></div>
		<?php } ?>

		<?php if ($item->date) { ?>
		<div class="allmode-date"><?php echo $item->date; ?></div>
		<?php } ?>

		<div class="allmode-right">

			<?php if ($item->title) { ?>
			<h4 class="allmode-title"><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></h4>
			<?php } ?>

			<?php if ($item->category || $item->author || $item->hits || $item->comments_count || $item->rating_value) { ?>
			<div class="allmode-info">

				<?php if ($item->category) { ?>
				<span class="allmode-category"><?php echo $item->category; ?></span>
				<?php } ?>

				<?php if ($item->author) { ?>
				<span class="allmode-author"><?php echo $item->author; ?></span>
				<?php } ?>

				<?php if ($item->hits) { ?>
				<span class="allmode-hits"><?php echo $item->hits; ?></span>
				<?php } ?>

				<?php if ($item->comments_count) { ?>
				<span class="allmode-comments"><?php echo $item->comments_count; ?></span>
				<?php } ?>

				<?php if ($item->rating_value) { ?>
				<span class="allmode-rating"><?php echo $item->rating_value; ?></span>
				<?php } ?>

			</div>
			<?php } ?>

			<?php if ($item->text) { ?>
			<div class="allmode-text"><?php echo $item->text; ?></div>
			<?php } ?>

		</div>

		<a href="<?php echo $item->link; ?>" class="allmode-readmore"></a>

	</article>
	<?php } ?>

</div>
<?php } ?>
